<html lang="ru" prefix="og: https://ogp.me/ns#">
<head>
  <meta charset="utf-8">
  <title>{{ title }}</title>
  <meta name="viewport"
        content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
  <meta name="format-detection" content="telephone=no"/>
  <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
  <meta name="MobileOptimized" content="176"/>
  <meta name="HandheldFriendly" content="True"/>
  <meta name="robots" content="index, follow"/>
  <meta property="og:type" content="website"/>
  <meta property="og:title" content="{{ title }}"/>
  {% if description %}
    <meta property="og:description" content="{{ description }}"/>
    <meta name="twitter:description" content="{{ description }}"/>
  {% endif %}
  <meta property="og:site_name" content="{{ source_name }}"/>
  <meta property="og:url" content="https://storage.googleapis.com/{{ bucket_name}}/{{ article_url }}"/>
  {% if og_image %}
    <meta property="og:image" content="{{ og_image }}"/>
    <meta name="twitter:image" content="{{ og_image }}"/>
  {% else %}
    <meta property="og:image" content="{{ article_image }}"/>
    <meta name="twitter:image" content="{{ article_image }}"/>
  {% endif %}
  <meta property="og:image:width" content="1200">
  <meta property="og:image:height" content="630">
  <meta property="article:author" content="{{ source_name }}"/>
  <meta name="twitter:card" content="summary_large_image"/>
  <meta name="twitter:title" content="{{ title }}"/>
  {% if favicon %}
    <link type="Image/x-icon" href="https://storage.googleapis.com/{{ bucket_name }}/{{ favicon }}" rel="icon">
  {% endif %}

  {% for styles in custom_styles %}
    <link href="https://storage.googleapis.com/{{ bucket_name }}/{{ styles }}" rel="stylesheet">
  {% endfor %}
  {% for js in custom_js %}
    <script src="https://storage.googleapis.com/{{ bucket_name }}/{{ js }}"></script>
  {% endfor %}

  <!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
	new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
	j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
	'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
	})(window,document,'script','dataLayer','{{ google_analytics_tracking_id }}');</script>
  <!-- End Google Tag Manager -->

</head>
<body>
  <!-- Google Tag Manager (noscript) -->
  <noscript><iframe src="https://www.googletagmanager.com/ns.html?id={{ google_analytics_tracking_id }}"
	height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
  <!-- End Google Tag Manager (noscript) -->
<div class="page_wrapper">
  {% if page_header_template %}
    {% include page_header_template %}
  {% endif %}
  <div class="tl_page">
    <main class="tl_article">
      <header class="tl_article_header">
        {% if tag_title %}
            {{ tag_title | safe }}
        {% endif %}
        {% if not tag_title and title %}
            <h1>{{ title | trim }}</h1>
        {% else %}
            <div></div>
        {% endif %}
        <address>
            {% if need_the_url %}
                <a rel="author" href="{{ source_url }}" target="_blank">{{ source_name }}</a>
            {% endif %}
            {% if datetime %}
                <time>{{ datetime | trim }}</time>
            {% endif %}
        </address>
      </header>
      <article id="_tl_editor" class="tl_article_content ql-container ql-disabled">
        <div class="ql-editor" contenteditable="false">
          {% if article_image %}
            <figure>
              <div class="figure_wrapper">
                <img src="{{ article_image }}">
              </div>
            </figure>
          {% endif %}
          {{ content | safe }}

          <footer class="gsc_footer">
            {% if page_footer_template %}
             {% include page_footer_template %}
            {% else %}
                <div></div>
            {% endif %}
          </footer>

        </div>
      </article>
    </main>
  </div>
</div>
</body>
</html>
